classification
Title: Update devguide link to the new URL
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, mdk
Priority: normal Keywords:

Created on 2017-06-22 17:05 by Mariatta, last changed 2017-12-09 21:51 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3228 merged bugZPDX, 2017-08-28 17:22
PR 3390 merged python-dev, 2017-09-06 20:26
Messages (7)
msg296644 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-22 17:05
The Devguide has a new URL: https://devguide.python.org

I believe there are a few references to the devguide from CPython documentation. Those links should be updated to the new url.
msg296645 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-22 17:09
This is in progress.
msg301030 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-08-30 16:37
New changeset 384899dfaeb83db38a6d3846d3cbc2f58a6605cd by Mariatta (Lisa Hewus Fresh) in branch 'master':
bpo-30737: Update DevGuide links to new URL (GH-3228)
https://github.com/python/cpython/commit/384899dfaeb83db38a6d3846d3cbc2f58a6605cd
msg301523 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-06 21:29
New changeset 98ceece8f4cd797ec28078b6247529f01549687d by Mariatta (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-30737: Update DevGuide links to new URL (GH-3228) (GH-3390)
https://github.com/python/cpython/commit/98ceece8f4cd797ec28078b6247529f01549687d
msg307919 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2017-12-09 21:24
Just spotted the "CORE DEVELOPMENT" link in the bugs.python.org points to the old one too.

Redirections should be placed on https://docs.python.org/devguide/ to the new one too.
msg307921 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2017-12-09 21:35
I opened a PR on psf-salt to fix HTTP redirections https://github.com/python/psf-salt/pull/123
msg307923 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2017-12-09 21:51
Just created http://psf.upfronthosting.co.za/roundup/meta/issue646 to track the "CORE DEVELOPMENT" link of b.p.o.
History
Date User Action Args
2017-12-09 21:51:11mdksetmessages: + msg307923
2017-12-09 21:35:43mdksetmessages: + msg307921
2017-12-09 21:24:47mdksetnosy: + mdk
messages: + msg307919
2017-09-06 21:29:45Mariattasetstatus: open -> closed
resolution: fixed
stage: backport needed -> resolved
2017-09-06 21:29:06Mariattasetmessages: + msg301523
2017-09-06 20:26:54python-devsetpull_requests: + pull_request3397
2017-08-30 16:43:21Mariattasetstage: patch review -> backport needed
2017-08-30 16:37:46Mariattasetmessages: + msg301030
2017-08-28 17:24:08Mariattasetstage: needs patch -> patch review
versions: - Python 3.5
2017-08-28 17:22:39bugZPDXsetpull_requests: + pull_request3272
2017-06-22 17:09:23Mariattasetmessages: + msg296645
2017-06-22 17:05:47Mariattacreate